> ## Documentation Index
> Fetch the complete documentation index at: https://docs.up.telestream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns information about the workflow with the specified identifier, including its name, description, current status and timestamps for when it was created and last updated.



## OpenAPI

````yaml https://api.up.telestream.com/workflow/api/v1/openapi.yaml get /{space_id}/workflows/{workflow_id}
openapi: 3.0.3
info:
  title: UP.Workflow API Specification
  version: 1.0.0
  description: Telestream UP.Workflow API Specification
  termsOfService: https://www.telestream.net/telestream-cloud/terms.htm
  contact:
    name: API Support
    url: https://www.telestream.com
    email: cloudsupport@telestream.net
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.up.telestream.com/workflow/api/v1
security:
  - BearerAuth: []
tags:
  - name: workflow
    description: Operations related to the workflow level
  - name: job
    description: Operations related to the job level
  - name: access
    description: Operations related to the access level
paths:
  /{space_id}/workflows/{workflow_id}:
    get:
      tags:
        - workflow
      summary: >-
        Returns information about the workflow with the specified identifier,
        including its name, description, current status and timestamps for when
        it was created and last updated.
      operationId: getWorkflow
      parameters:
        - $ref: '#/components/parameters/workflow_id'
        - $ref: '#/components/parameters/space_id'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Workflow'
          description: Get particular Workflow Details
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - BearerAuth:
            - workflow:access
components:
  parameters:
    workflow_id:
      name: workflow_id
      description: Unique identifier of a Workflow
      schema:
        type: string
        format: uuid
        example: e3c908ad-dc8f-4edb-88f7-c84dec0aef99
      in: path
      required: true
    space_id:
      name: space_id
      description: UP Space Id
      schema:
        type: string
        format: uuid
        example: d290f1ee-6c54-4b01-90e6-d701748f0851
      in: path
      required: true
  schemas:
    Workflow:
      type: object
      properties:
        name:
          description: Workflow name
          type: string
          example: IPTV&Multiscreen
        description:
          description: Describes the Workflow purpose
          type: string
          readOnly: true
          example: >-
            This workflow is producing multiple outputs - one CableLabs
            compliant and MP4 proxy
        identifier:
          description: This is the GUID for the Workflow
          type: string
          readOnly: true
          example: e3c908ad-dc8f-4edb-88f7-c84dec0aef99
        created_at:
          format: date-time
          description: >-
            Timestamp when Workflow was created in the Cloud service UTC time in
            iso8601 format
          type: string
          readOnly: true
          example: '2020-01-21T15:53:12.388317Z'
        updated_at:
          format: date-time
          description: >-
            Timestamp when Workflow was updated in the Cloud service UTC time in
            iso8601 format
          type: string
          readOnly: true
          example: '2020-01-22T15:53:12.182617Z'
        status:
          enum:
            - idle
            - active
            - archived
            - deleted
            - invalid
          type: string
          nullable: true
          readOnly: true
  responses:
    Unauthorized:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: You don't have permission to access this resource
      description: Not authorized
    NotFound:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 404 Not found
      description: Item not found
    InternalError:
      content:
        application/json:
          schema:
            type: object
            properties:
              error_message:
                type: string
            example:
              error_message: 500 internal error
      description: 500 Internal error
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: API key passed as a Bearer token in the Authorization header
      flows:
        implicit:
          authorizationUrl: /auth/oauth2
          scopes:
            workflow:access: Basic access
            workflow:workflow-management: Management access
            workflow:admin: Admin access

````